scala.collection

# SetProxy

#### trait SetProxy[A] extends Set[A] with SetProxyLike[A, Set[A]]

This is a simple wrapper class for scala.collection.Set. It is most useful for assembling customized set abstractions dynamically using object composition and forwarding.

Source
  SetProxy.scala
Version

  2.0, 01/01/2007

Linear Supertypes
SetProxyLike[A, Set[A]], IterableProxyLike[A, Set[A]], TraversableProxyLike[A, Set[A]], Proxy, Set[A], SetLike[A, Set[A]], Subtractable[A, Set[A]], GenSet[A], GenericSetTemplate[A, Set], GenSetLike[A, Set[A]], Iterable[A], IterableLike[A, Set[A]], Equals, GenIterable[A], GenIterableLike[A, Set[A]], Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, Set], TraversableLike[A, Set[A]], GenTraversableLike[A, Set[A]], Parallelizable[A, ParSet[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, Set[A]], HasNewBuilder[A, scala.collection.Set[A] @scala.annotation.unchecked.uncheckedVariance], (A) ⇒ Boolean, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SetProxy
2. SetProxyLike
3. IterableProxyLike
4. TraversableProxyLike
5. Proxy
6. Set
7. SetLike
8. Subtractable
9. GenSet
10. GenericSetTemplate
11. GenSetLike
12. Iterable
13. IterableLike
14. Equals
15. GenIterable
16. GenIterableLike
17. Traversable
18. GenTraversable
19. GenericTraversableTemplate
20. TraversableLike
21. GenTraversableLike
22. Parallelizable
23. TraversableOnce
24. GenTraversableOnce
25. FilterMonadic
26. HasNewBuilder
27. Function1
28. AnyRef
29. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Self = Set[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Abstract Value Members

1. #### abstract def self: Set[A]

   Definition Classes
     TraversableProxyLike → Proxy

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(that: GenSet[A]): Set[A]

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     SetProxyLike → GenSetLike

5. #### def &~(that: GenSet[A]): Set[A]

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     SetProxyLike → GenSetLike

6. #### def +(elem: A): Set[A]

   Creates a new set with an additional element, unless the element is already present.

   Creates a new set with an additional element, unless the element is already present.

   elem

     the element to be added

   returns

     a new set that contains all elements of this set and that also contains `elem`.

   Definition Classes
     SetProxyLike → SetLike → GenSetLike

7. #### def +(elem1: A, elem2: A, elems: A*): Set[A]

   Creates a new set with additional elements.

   Creates a new set with additional elements.

   This method takes two or more elements to be added. Another overloaded variant of this method handles the case where a single element is added.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new set with the given elements added.

   Definition Classes
     SetLike

8. #### def ++[B](that: GenTraversableOnce[B]): Set[B]

   [use case] Returns a new set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new set which contains all elements of this set followed by all elements of `that`.

   Definition Classes
     TraversableProxyLike → TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: A, That](xs: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Set[A], B, That]): That

9. #### def ++(elems: GenTraversableOnce[A]): Set[A]

   Creates a new set by adding all elements contained in another collection to this set.

   Creates a new set by adding all elements contained in another collection to this set.

   elems

     the collection containing the added elements.

   returns

     a new set with the given elements added.

   Definition Classes
     SetLike

10. #### def ++:[B >: A, That](that: Traversable[B])(implicit bf: CanBuildFrom[Set[A], B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this set followed by all elements of `that`.

    Definition Classes
      TraversableLike

11. #### def ++:[B](that: TraversableOnce[B]): Set[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new set which contains all elements of this set followed by all elements of `that`.

    Definition Classes
      TraversableLike
    Full Signature

    #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[Set[A], B, That]): That

12. #### def -(elem: A): Set[A]

    Creates a new set with a given element removed from this set.

    Creates a new set with a given element removed from this set.

    elem

      the element to be removed

    returns

      a new set that contains all elements of this set but that does not contain `elem`.

    Definition Classes
      SetProxyLike → SetLike → Subtractable → GenSetLike

13. #### def -(elem1: A, elem2: A, elems: A*): Set[A]

    Creates a new set from this set with some elements removed.

    Creates a new set from this set with some elements removed.

    This method takes two or more elements to be removed. Another overloaded variant of this method handles the case where a single element is removed.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new set that contains all elements of the current set except one less occurrence of each of the given elements.

    Definition Classes
      Subtractable

14. #### def --(xs: GenTraversableOnce[A]): Set[A]

    Creates a new set from this set by removing all elements of another collection.

    Creates a new set from this set by removing all elements of another collection.

    xs

      the collection containing the removed elements.

    returns

      a new set that contains all elements of the current set except one less occurrence of each of the elements of `elems`.

    Definition Classes
      Subtractable

15. #### def ->[B](y: B): (SetProxy[A], B)

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to ArrowAssoc[SetProxy[A]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

16. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this set, going left to right.

    Applies a binary operator to a start value and all elements of this set, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this set, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this set.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

17. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this set and a start value, going right to left.

    Applies a binary operator to all elements of this set and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this set.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

18. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

20. #### def addString(b: mutable.StringBuilder): mutable.StringBuilder

    Appends all elements of this set to a string builder.

    Appends all elements of this set to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this set without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableProxyLike → TraversableOnce

21. #### def addString(b: mutable.StringBuilder, sep: String): mutable.StringBuilder

    Appends all elements of this set to a string builder using a separator string.

    Appends all elements of this set to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this set, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableProxyLike → TraversableOnce

22. #### def addString(b: mutable.StringBuilder, start: String, sep: String, end: String): mutable.StringBuilder

    Appends all elements of this set to a string builder using start, end, and separator strings.

    Appends all elements of this set to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this set are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableProxyLike → TraversableOnce

23. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

24. #### def andThen[A](g: (Boolean) ⇒ A): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

25. #### def apply(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      SetProxyLike → GenSetLike → Function1

26. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

27. #### def asParIterable: ParIterable[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

28. #### def asParSeq: ParSeq[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

29. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this set should be compared

    returns

      `true`, if this set can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

30. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

31. #### def collect[B](pf: PartialFunction[A, B]): Set[B]

    [use case] Builds a new collection by applying a partial function to all elements of this set on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this set on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the set.

    returns

      a new set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[Set[A], B, That]): That

32. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the set for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the set for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

33. #### def companion: GenericCompanion[Set]

    The factory companion object that builds instances of class Set.

    The factory companion object that builds instances of class Set. (or its `Iterable` superclass where class Set is not a `Seq`.)

    Definition Classes
      Set → GenSet → Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate

34. #### def compose[A](g: (A) ⇒ A): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

35. #### def contains(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      SetProxyLike → SetLike → GenSetLike

36. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this set to an array.

    [use case]

    Copies values of this set to an array. Fills the given array `xs` with values of this set. Copying will stop once either the end of the current set is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B]): Unit

37. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this set to an array.

    [use case]

    Copies values of this set to an array. Fills the given array `xs` with values of this set, beginning at index `start`. Copying will stop once either the end of the current set is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

38. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this set to an array.

    [use case]

    Copies elements of this set to an array. Fills the given array `xs` with at most `len` elements of this set, starting at position `start`. Copying will stop once either the end of the current set is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

39. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this set to a buffer.

    Copies all elements of this set to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableProxyLike → TraversableOnce

40. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the set which satisfy a predicate.

    Counts the number of elements in the set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

41. #### def diff(that: GenSet[A]): Set[A]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetProxyLike → SetLike → GenSetLike

42. #### def drop(n: Int): Set[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this set.

    returns

      a set consisting of all elements of this set except the first `n` ones, or else the empty set, if this set has less than `n` elements.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

43. #### def dropRight(n: Int): Set[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a set consisting of all elements of this set except the last `n` ones, or else the empty set, if this set has less than `n` elements.

    Definition Classes
      IterableProxyLike → IterableLike

44. #### def dropWhile(p: (A) ⇒ Boolean): Set[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this set whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

45. #### def empty: Set[A]

    Definition Classes
      GenericSetTemplate

46. #### def ensuring(cond: (SetProxy[A]) ⇒ Boolean, msg: ⇒ Any): SetProxy[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to Ensuring[SetProxy[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

47. #### def ensuring(cond: (SetProxy[A]) ⇒ Boolean): SetProxy[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to Ensuring[SetProxy[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

48. #### def ensuring(cond: Boolean, msg: ⇒ Any): SetProxy[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to Ensuring[SetProxy[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: Boolean): SetProxy[A]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to Ensuring[SetProxy[A]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

51. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

52. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this set.

    Tests whether a predicate holds for some of the elements of this set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this set, otherwise `false`.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

53. #### def filter(p: (A) ⇒ Boolean): Set[A]

    Selects all elements of this set which satisfy a predicate.

    Selects all elements of this set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new set consisting of all elements of this set that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

54. #### def filterNot(p: (A) ⇒ Boolean): Set[A]

    Selects all elements of this set which do not satisfy a predicate.

    Selects all elements of this set which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new set consisting of all elements of this set that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

55. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

56. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the set satisfying a predicate, if any.

    Finds the first element of the set satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the set that satisfies `p`, or `None` if none exists.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

57. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): Set[B]

    [use case] Builds a new collection by applying a function to all elements of this set and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this set and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of set. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new set resulting from applying the given collection-valued function `f` to each element of this set and concatenating the results.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Set[A], B, That]): That

58. #### def flatten[B]: Set[B]

    [use case] Converts this set of traversable collections into a set formed by the elements of these traversable collections.

    [use case]

    Converts this set of traversable collections into a set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of set. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new set resulting from concatenating all element sets.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Set[B]

59. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this set using the specified associative binary operator.

    Folds the elements of this set using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

60. #### def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this set, going left to right.

    Applies a binary operator to a start value and all elements of this set, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this set, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this set.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

61. #### def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this set and a start value, going right to left.

    Applies a binary operator to all elements of this set and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this set.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

62. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this set.

    Tests whether a predicate holds for all elements of this set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this set, otherwise `false`.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

63. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this set.

    [use case]

    Applies a function `f` to all elements of this set.

    Note: this method underlies the implementation of most other bulk operations. It's important to implement this method in an efficient way.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[B](f: (A) ⇒ B): Unit

64. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

65. #### def genericBuilder[B]: Builder[B, Set[B]]

    The generic builder that builds instances of Set at arbitrary element types.

    The generic builder that builds instances of Set at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

66. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

67. #### def groupBy[K](f: (A) ⇒ K): immutable.Map[K, Set[A]]

    Partitions this set into a map of sets according to some discriminator function.

    Partitions this set into a map of sets according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new set.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to sets such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

68. #### def grouped(size: Int): Iterator[Set[A]]

    Partitions elements in fixed size sets.

    Partitions elements in fixed size sets.

    size

      the number of elements per group

    returns

      An iterator producing sets of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableProxyLike → IterableLike
    See also

      scala.collection.Iterator, method `grouped`

69. #### def hasDefiniteSize: Boolean

    Tests whether this set is known to have a finite size.

    Tests whether this set is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

70. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

71. #### def head: A

    Selects the first element of this set.

    Selects the first element of this set.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this set.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the set is empty.

72. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this set if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

73. #### def ifParSeq[R](isbody: (ParSeq[A]) ⇒ R): (TraversableOps[A])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

74. #### def init: Set[A]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a set consisting of all elements of this set except the last one.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the set is empty.

75. #### def inits: Iterator[Set[A]]

    Iterates over the inits of this set.

    Iterates over the inits of this set. The first value will be this set and the final one will be an empty set, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this set

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

76. #### def intersect(that: GenSet[A]): Set[A]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      SetProxyLike → GenSetLike

77. #### def isEmpty: Boolean

    Tests whether this set is empty.

    Tests whether this set is empty.

    returns

      `true` if the set contain no elements, `false` otherwise.

    Definition Classes
      SetProxyLike → TraversableProxyLike → SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

78. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

79. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

80. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

81. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

82. #### final def isTraversableAgain: Boolean

    Tests whether this set can be repeatedly traversed.

    Tests whether this set can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

83. #### def iterator: Iterator[A]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      IterableProxyLike → IterableLike → GenIterableLike

84. #### def last: A

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this set.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the set is empty.

85. #### def lastOption: Option[A]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this set$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

86. #### def map[B](f: (A) ⇒ B): Set[B]

    [use case] Builds a new collection by applying a function to all elements of this set.

    [use case]

    Builds a new collection by applying a function to all elements of this set.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new set resulting from applying the given function `f` to each element of this set and collecting the results.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[Set[A], B, That]): That

87. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this set.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: A](implicit cmp: Ordering[B]): A

88. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

89. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this set

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: A](implicit cmp: Ordering[B]): A

90. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

    Definition Classes
      TraversableOnce → GenTraversableOnce

91. #### def mkString: String

    Displays all elements of this set in a string.

    Displays all elements of this set in a string.

    returns

      a string representation of this set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this set follow each other without any separator string.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

92. #### def mkString(sep: String): String

    Displays all elements of this set in a string using a separator string.

    Displays all elements of this set in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this set are separated by the string `sep`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

93. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this set in a string using start, end, and separator strings.

    Displays all elements of this set in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this set. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this set are separated by the string `sep`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

94. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

95. #### def newBuilder: Builder[A, Set[A]]

    A common implementation of `newBuilder` for all sets in terms of `empty`.

    A common implementation of `newBuilder` for all sets in terms of `empty`. Overridden for mutable sets in `mutable.SetLike`.

    Attributes
      protected[this]
    Definition Classes
      SetLike → TraversableLike → HasNewBuilder

96. #### def nonEmpty: Boolean

    Tests whether the set is not empty.

    Tests whether the set is not empty.

    returns

      `true` if the set contains at least one element, `false` otherwise.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

97. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

98. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

99. #### def par: ParSet[A]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

100. #### def parCombiner: Combiner[A, ParSet[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SetLike → TraversableLike → Parallelizable

101. #### def partition(p: (A) ⇒ Boolean): (Set[A], Set[A])

     Partitions this set in two sets according to a predicate.

     Partitions this set in two sets according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of sets: the first set consists of all elements that satisfy the predicate `p` and the second set consists of all elements that don't. The relative order of the elements in the resulting sets is the same as in the original set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

102. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: A](implicit num: Numeric[B]): B

103. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this set using the specified associative binary operator.

     Reduces the elements of this set using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the set is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this set is empty.

104. #### def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Applies a binary operator to all elements of this set, going left to right.

     Applies a binary operator to all elements of this set, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this set, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this set is empty.

105. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this set, going left to right.

     Optionally applies a binary operator to all elements of this set, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this set is nonempty, `None` otherwise.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

106. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this set, if any, using the specified associative binary operator.

     Reduces the elements of this set, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this set, going right to left.

     Applies a binary operator to all elements of this set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this set, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this set is empty.

108. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this set, going right to left.

     Optionally applies a binary operator to all elements of this set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this set is nonempty, `None` otherwise.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

109. #### def repr: Set[A]

     The collection of type set underlying this `TraversableLike` object.

     The collection of type set underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

110. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

111. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this set.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this set.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: A](that: GenIterable[B]): Boolean

112. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Set[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new set containing the prefix scan of the elements in this set

     Definition Classes
       TraversableLike → GenTraversableLike

113. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[Set[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

114. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[Set[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

115. #### def seq: Set[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → GenSet → GenSetLike → Iterable → GenIterable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

116. #### def size: Int

     The size of this set.

     The size of this set.

     returns

       the number of elements in this set.

     Definition Classes
       TraversableProxyLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

117. #### def slice(from: Int, until: Int): Set[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

118. #### def sliding(size: Int, step: Int): Iterator[Set[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableProxyLike → IterableLike
     See also

       scala.collection.Iterator, method `sliding`

119. #### def sliding(size: Int): Iterator[Set[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableProxyLike → IterableLike
     See also

       scala.collection.Iterator, method `sliding`

120. #### def span(p: (A) ⇒ Boolean): (Set[A], Set[A])

     Splits this set into a prefix/suffix pair according to a predicate.

     Splits this set into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this set whose elements all satisfy `p`, and the rest of this set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

121. #### def splitAt(n: Int): (Set[A], Set[A])

     Splits this set into two at a given position.

     Splits this set into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of sets consisting of the first `n` elements of this set, and the other elements.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

122. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. By default the string prefix is the simple name of the collection class set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

123. #### def subsetOf(that: GenSet[A]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       SetProxyLike → GenSetLike

124. #### def subsets: Iterator[Set[A]]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike

125. #### def subsets(len: Int): Iterator[Set[A]]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike

126. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: A](implicit num: Numeric[B]): B

127. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

128. #### def tail: Set[A]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a set consisting of all elements of this set except the first one.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the set is empty.

129. #### def tails: Iterator[Set[A]]

     Iterates over the tails of this set.

     Iterates over the tails of this set. The first value will be this set and the final one will be an empty set, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this set

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

130. #### def take(n: Int): Set[A]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this set.

     returns

       a set consisting only of the first `n` elements of this set, or else the whole set, if it has less than `n` elements.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

131. #### def takeRight(n: Int): Set[A]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a set consisting only of the last `n` elements of this set, or else the whole set, if it has less than `n` elements.

     Definition Classes
       IterableProxyLike → IterableLike

132. #### def takeWhile(p: (A) ⇒ Boolean): Set[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this set whose elements all satisfy the predicate `p`.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

133. #### def thisCollection: Iterable[A]

     The underlying collection seen as an instance of `Set`.

     The underlying collection seen as an instance of `Set`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

134. #### def to[Col[_]]: Col[A]

     [use case] Converts this set into another by copying all elements.

     [use case]

     Converts this set into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

135. #### def toArray: Array[A]

     [use case] Converts this set to an array.

     [use case]

     Converts this set to an array.

     returns

       an array containing all elements of this set. An `ClassTag` must be available for the element type of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

136. #### def toBuffer[B >: A]: Buffer[B]

     Converts this set to a mutable buffer.

     Converts this set to a mutable buffer.

     returns

       a buffer containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

137. #### def toCollection(repr: Set[A]): Iterable[A]

     A conversion from collections of type `Repr` to `Set` objects.

     A conversion from collections of type `Repr` to `Set` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

138. #### def toIndexedSeq: immutable.IndexedSeq[A]

     Converts this set to an indexed sequence.

     Converts this set to an indexed sequence.

     returns

       an indexed sequence containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

139. #### def toIterable: Iterable[A]

     Converts this set to an iterable collection.

     Converts this set to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

140. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this set.

     Returns an Iterator over the elements in this set. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableOnce

141. #### def toList: List[A]

     Converts this set to a list.

     Converts this set to a list.

     returns

       a list containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

142. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this set to a map.

     [use case]

     Converts this set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): immutable.Map[T, U]

143. #### def toParArray: ParArray[A]

     Implicit information
       This member is added by an implicit conversion from SetProxy[A] to TraversableOps[A] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

144. #### def toSeq: Seq[A]

     Converts this set to a sequence.

     Converts this set to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

145. #### def toSet[B >: A]: immutable.Set[B]

     Converts this set to a set.

     Converts this set to a set.

     returns

       a set containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

146. #### def toStream: Stream[A]

     Converts this set to a stream.

     Converts this set to a stream.

     returns

       a stream containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableOnce

147. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       Proxy → Any

148. #### def toTraversable: Traversable[A]

     Converts this set to an unspecified Traversable.

     Converts this set to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this set.

     Definition Classes
       TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

149. #### def toVector: Vector[A]

     Converts this set to a Vector.

     Converts this set to a Vector.

     returns

       a vector containing all elements of this set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

150. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Set[Set[B]]

     Transposes this set of traversable collections into a set of sets.

     Transposes this set of traversable collections into a set of sets.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this set is a `Traversable`.

     returns

       a two-dimensional set of sets which has as nth row the nth column of this set.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this set are not of the same size.

151. #### def union(that: GenSet[A]): Set[A]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetProxyLike → SetLike → GenSetLike

152. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (Set[A1], Set[A2])

     Converts this set of pairs into two collections of the first and second half of each pair.

     Converts this set of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this set is a pair.

     returns

       a pair sets, containing the first, respectively second half of each element pair of this set.

     Definition Classes
       GenericTraversableTemplate

153. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this set of triples into three collections of the first, second, and third element of each triple.

     Converts this set of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this set is a triple.

     returns

       a triple sets, containing the first, second, respectively third member of each element triple of this set.

     Definition Classes
       GenericTraversableTemplate

154. #### def view(from: Int, until: Int): IterableView[A, Set[A]]

     Creates a non-strict view of a slice of this set.

     Creates a non-strict view of a slice of this set.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current set, whereas `slice` produces a new set.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this set, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableProxyLike → TraversableProxyLike → IterableLike → TraversableLike

155. #### def view: IterableView[A, Set[A]]

     Creates a non-strict view of this set.

     Creates a non-strict view of this set.

     returns

       a non-strict view of this set.

     Definition Classes
       IterableProxyLike → TraversableProxyLike → IterableLike → TraversableLike

156. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

157. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

158. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

159. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, Set[A]]

     Creates a non-strict filter of this set.

     Creates a non-strict filter of this set.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this set which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

160. #### def zip[B](that: GenIterable[B]): Set[(A, B)]

     [use case] Returns a set formed from this set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a set formed from this set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new set containing pairs consisting of corresponding elements of this set and `that`. The length of the returned collection is the minimum of the lengths of this set and `that`.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Set[A], (A1, B), That]): That

161. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): Set[(A, B)]

     [use case] Returns a set formed from this set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a set formed from this set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this set.

     returns

       a new set containing pairs consisting of corresponding elements of this set and `that`. The length of the returned collection is the maximum of the lengths of this set and `that`. If this set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this set, `thatElem` values are used to pad the result.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Set[A], (A1, B), That]): That

162. #### def zipWithIndex: Set[(A, Int)]

     [use case] Zips this set with its indices.

     [use case]

     Zips this set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new set containing pairs consisting of all elements of this set paired with their index. Indices start at `0`.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[Set[A], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

163. #### def |(that: GenSet[A]): Set[A]

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetProxyLike → GenSetLike

164. #### def →[B](y: B): (SetProxy[A], B)

     Implicit information
       This member is added by an implicit conversion from SetProxy[A] to ArrowAssoc[SetProxy[A]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def filter(p: (A) ⇒ Boolean): TraversableOnce[A]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: MonadOps[A]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: MonadOps[A]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: (A) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: MonadOps[A]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: (A) ⇒ Boolean): Iterator[A]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (setProxy: MonadOps[A]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: SetProxy[A]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to ArrowAssoc[SetProxy[A]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setProxy: ArrowAssoc[SetProxy[A]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: SetProxy[A]

   Implicit information
     This member is added by an implicit conversion from SetProxy[A] to Ensuring[SetProxy[A]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (setProxy: Ensuring[SetProxy[A]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from SetProxyLike[A, Set[A]]

### Inherited from IterableProxyLike[A, Set[A]]

### Inherited from TraversableProxyLike[A, Set[A]]

### Inherited from Proxy

### Inherited from Set[A]

### Inherited from SetLike[A, Set[A]]

### Inherited from Subtractable[A, Set[A]]

### Inherited from GenSet[A]

### Inherited from GenericSetTemplate[A, Set]

### Inherited from GenSetLike[A, Set[A]]

### Inherited from Iterable[A]

### Inherited from IterableLike[A, Set[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, Set[A]]

### Inherited from Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, Set]

### Inherited from TraversableLike[A, Set[A]]

### Inherited from GenTraversableLike[A, Set[A]]

### Inherited from Parallelizable[A, ParSet[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, Set[A]]

### Inherited from HasNewBuilder[A, scala.collection.Set[A] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from (A) ⇒ Boolean

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from SetProxy[A] to TraversableOps[A]

### Inherited by implicit conversion MonadOps from SetProxy[A] to MonadOps[A]

### Inherited by implicit conversion any2stringadd from SetProxy[A] to StringAdd

### Inherited by implicit conversion any2stringfmt from SetProxy[A] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SetProxy[A] to ArrowAssoc[SetProxy[A]]

### Inherited by implicit conversion any2Ensuring from SetProxy[A] to Ensuring[SetProxy[A]]

### Inherited by implicit conversion alternateImplicit from SetProxy[A] to ForceImplicitAmbiguity

### Ungrouped